> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 商品リストのリクエスト

> オプションのフィルタリングおよびカテゴリ分けで Kameleoon Product Recommendation API から商品のリストを取得します。

このエンドポイントは商品のリストを取得します。

<Note>
  `categories` または `filters` クエリパラメーターを使用しない場合、Kameleoon はレスポンスに `filters` オブジェクトを含めません。
</Note>

### リクエスト

```
GET https://api.products.kameleoon.com/products
```

### クエリパラメーター

| パラメーター              | 型               | 必須    | 説明                                                                                                                                                                                                        |
| :------------------ | :-------------- | :---- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `did`               | String          | True  | デバイス ID。`KameleoonProducts_device_id` クッキーからこの ID を取得します。このエンドポイントを呼び出す前に、バックエンドから取得してください。"Recently Viewed" や "Recommended for You" など、過去のデバイスデータに依存するフィルターまたはアルゴリズムを使用する場合にのみ `did` を提供します。             |
| `sid`               | String          | True  | 一時的なユーザーセッション ID。`KameleoonProducts_session_code` クッキーからこの ID を取得します。このエンドポイントを呼び出す前に、バックエンドから取得してください。"Recently Viewed" や "Recommended for You" など、過去のユーザーデータに依存するフィルターまたはアルゴリズムを使用する場合にのみ `sid` を提供します。 |
| `shop_id`           | String          | True  | ストアキー。Kameleoon アプリの **Recommendations** > **Settings** > **Store settings** で確認できます。必要に応じてカスタマーサクセスマネージャーにキーをお問い合わせください。                                                                                 |
| `limit`             | Integer         | False | API が返す結果の最大数。                                                                                                                                                                                            |
| `page`              | Integer         | False | API が返すページの最大数。                                                                                                                                                                                           |
| `locations`         | Array           | False | 場所 ID のカンマ区切りリスト。                                                                                                                                                                                         |
| `brands`            | Array           | False | フィルタリング用のブランドのカンマ区切りリスト。                                                                                                                                                                                  |
| `merchants`         | List of strings | False | フィルタリング用のマーチャントのカンマ区切りリスト。                                                                                                                                                                                |
| `categories`        | List of strings | False | フィルタリング用のカテゴリのカンマ区切りリスト。                                                                                                                                                                                  |
| `filters`           | JSON string     | False | フィルターパラメーターを含むオプションのエスケープされた JSON 文字列。例: `{"bluetooth":["yes"],"offers":["15% cashback"],"weight":["1.6"]}`                                                                                               |
| `filters_search_by` | JSON string     | False | フィルター検索オプション: `name`、`quantity`、`popularity`。                                                                                                                                                             |

### レスポンス

| 名前               | 型                | 説明                                                   |
| :--------------- | :--------------- | :--------------------------------------------------- |
| `brands`         | Array            | ブランド情報。各オブジェクトには[これらのプロパティ](#ブランドプロパティ)が含まれます。       |
| `categories`     | Array of objects | カテゴリ情報。各オブジェクトには[これらのフィールド](#カテゴリフィールド)が含まれます。       |
| `filters`        | Array            | フィルター情報。各オブジェクトには[これらのプロパティ](#フィルタープロパティ)が含まれます。     |
| `price_range`    | Object           | 商品価格の最小値と最大値。[これらのプロパティ](#価格帯フィールド)が含まれます。           |
| `products`       | Array of objects | 商品情報。各オブジェクトには[これらのプロパティ](#商品フィールド)が含まれます。           |
| `products_total` | Integer          | 商品の合計数。                                              |
| `price_ranges`   | Array of objects | 価格帯の上限とその範囲内の商品数を表す `to` および `count` フィールドを含むオブジェクト。 |
| `price_median`   | Integer          | 商品価格の中央値。                                            |

### ブランドプロパティ

| 名前        | 型       | 説明          |
| :-------- | :------ | :---------- |
| `name`    | String  | ブランド名。      |
| `picture` | String  | ブランド画像 URL。 |
| `count`   | Integer | マッチ数。       |

### カテゴリフィールド

| 名前           | 型      | 説明         |
| :----------- | :----- | :--------- |
| `id`         | String | カテゴリ ID。   |
| `name`       | String | カテゴリ名。     |
| `url`        | String | カテゴリ URL。  |
| `url_handle` | String | カテゴリへのパス。  |
| `count`      | Number | カテゴリ内の商品数。 |
| `parent`     | String | 親カテゴリ ID。  |
| `alias`      | String | 代替カテゴリ名。   |

### フィルタープロパティ

| 名前       | 型      | 説明                              |
| :------- | :----- | :------------------------------ |
| `filter` | Object | [これらのプロパティ](#フィルター値フィールド)を含みます。 |

### フィルター値フィールド

| 名前         | 型                | 説明                            |
| :--------- | :--------------- | :---------------------------- |
| `count`    | Integer          | 選択されたフィルターにマッチする商品の合計数。       |
| `priority` | Integer          | フィルターの優先度。                    |
| `ranges`   | Integer          | 集計結果範囲。                       |
| `values`   | Array of objects | [これらのプロパティ](#値の詳細)を含む値オブジェクト。 |

### 値の詳細

| 名前      | 型       | 説明               |
| :------ | :------ | :--------------- |
| `value` | String  | 値ラベル。            |
| `count` | Integer | このパラメーターを持つ商品の数。 |

### 価格帯フィールド

| 名前    | 型       | 説明    |
| :---- | :------ | :---- |
| `min` | Integer | 最低価格。 |
| `max` | Integer | 最高価格。 |

### 商品フィールド

| 名前                     | 型                | 説明                                                |
| :--------------------- | :--------------- | :------------------------------------------------ |
| `brand`                | String           | 商品のブランド。                                          |
| `currency`             | String           | 商品の通貨。ショップ設定の通貨と一致します。                            |
| `id`                   | String           | 商品 ID。                                            |
| `is_new`               | Boolean          | 商品プロパティ(デフォルトは NULL)。                             |
| `name`                 | String           | 商品名。                                              |
| `old_price`            | String           | 商品の以前の価格(デフォルトは 0)。                               |
| `price`                | Integer          | 商品価格。                                             |
| `price_formatted`      | String           | 通貨付きの商品価格。                                        |
| `price_full_formatted` | String           | フォーマットされた商品価格(例: "547.67 \$")。                    |
| `picture`              | String           | Kameleoon ストレージ内の商品画像 URL。                        |
| `url`                  | String           | 商品 URL。                                           |
| `description`          | String           | 商品の説明。                                            |
| `category_ids`         | Array of strings | 商品のカテゴリ ID。                                       |
| `fashion_feature`      | String           | ファッションカテゴリ機能(例: "for kids" または "adult")。          |
| `fashion_gender`       | String           | 商品の性別指定。                                          |
| `sales_rate`           | Integer          | 販売された商品の数。                                        |
| `relative_sales_rate`  | Integer          | 販売シェア(%)。                                         |
| `image_URL`            | String           | 元の商品画像への URL。                                     |
| `image_URL_handle`     | String           | 商品画像へのパス。                                         |
| `image_URL_resized`    | Object           | 画像サイズと対応するパス。                                     |
| `_id`                  | String           | 内部 ID。                                            |
| `group_id`             | String           | グループ化された商品の識別子。                                   |
| `barcode`              | String           | 商品のバーコード。                                         |
| `categories`           | Array            | 商品カテゴリ。各オブジェクトには[これらのプロパティ](#商品カテゴリのプロパティ)が含まれます。 |

### 商品カテゴリのプロパティ

| 名前       | 型      | 説明                                        |
| :------- | :----- | :---------------------------------------- |
| `id`     | String | カテゴリ ID。                                  |
| `name`   | String | カテゴリ名。                                    |
| `parent` | String | 親カテゴリ ID。                                 |
| `params` | Array  | [これらのプロパティ](#パラメータープロパティ)を含むパラメーターオブジェクト。 |

### パラメータープロパティ

| 名前       | 型      | 説明       |
| :------- | :----- | :------- |
| `key`    | String | パラメーター名。 |
| `values` | Array  | 値のリスト。   |
